{
	Init[ (s)
	{
		MenuBackground(182);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddMenuItem(71,"ChangeMap");
		AddStaticItem(26);
		AddMenuItem(72,"ChangeGameType");
		AddMenuItem(73,"ChangeKillsToWin");
		AddMenuItem(74,"ChangeRepeatMap");

		//if (MPUseKillcam())
		//{
		//	AddMenuItem(15,"ToggleKillcam");
		//}
		//else
		//{
		//	AddMenuItem(16,"ToggleKillcam");
		//}
		AddStaticItem(26);

		AddMenuItem(75,"ChangeFriendlyFire");
		AddStaticItem(26);
		AddMenuItem(70,"HostOptionsHost");
		//AddMenuItem(44,"HostOptionsMenuBack");
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		//HACKYISH
		SetHostOptions();

		funtext=AddFloatingTextJustify(530, 0, 195, false,32767);
                funtext.SetFontNum(1);
		funtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		funtext.SetFontNum(1);

	} ]

//	MenuSoundVolume[ (s)
//	{
//		SoundVolume();
//	} ]

	HostOptionsBack[ (s)
	{
		OpenMenu("Multiplayer");
	} ]

	ChangeKillsToWin[ (s)
	{
		MPNextKillsToWin();
		return;
	} ]

	ChangeRepeatMap[ (s)
	{
		MPNextRepeatMap();
		return;
	} ]

	ChangeMap[ (s)
	{
		MPNextMap();
		return;
	} ]

	ChangeGameType[ (s)
	{
		MPNextGameType();
		return;
	} ]

	ChangeFriendlyFire[ (s)
	{
		MPNextFriendlyFire();
		return;
	} ]

	ToggleKillcam[ (s)
	{
		MPToggleKillcam();
	} ]

	HostOptionsE3Host[ (s)
	{
		MPE3Host();
	} ]

	HostOptionsHost[ (s)
	{
		if (MPBluetoothInUse())
		{
			OpenMenu("BTUsed");
		}
		else
		{
			//OpenMenu("HostGunChoice");
			OpenMenu("HostGameMenu");
		}
	} ]

	OnRightSoftkey[ (s)
	{
		HostOptionsMenuBack();
	} ]


}